%global commit      22c4957bf323c5d80d3ca14527210816241580be
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global debug_package %{nil}

Name:           fedora-dockerfiles
Version:        0
Release:        0.13.git%{shortcommit}%{?dist}
Summary:        Example dockerfiles to assist standing up containers quickly
License:        GPLv2
URL:            https://github.com/fedora-cloud/Fedora-Dockerfiles.git
Source0:        https://github.com/fedora-cloud/Fedora-Dockerfiles/archive/%{commit}/Fedora-Dockerfiles-%{shortcommit}.tar.gz
ExclusiveArch:  x86_64
Requires:       docker-io >= 1.4.0

%description
This package provides a community contributed set of examples that can
assist in learning about Docker containers. Use these examples to
stand up test environments using the Docker container engine.

%prep
%setup -n Fedora-Dockerfiles-%{commit}

%build

%install
rm -rf needs_work TODO
install -d -p -m 755 %{buildroot}%{_datadir}/%{name}
for d in ansible busybox dhcpd firefox haskell lighttpd \
    mesos owncloud qpid redis ssh apache couchdb \
    Django libvirt mariadb mongodb nginx postgres \
    rabbitmq registry systemd bind cups earthquake \
    hadoop memcached mysql nodejs python squid wordpress; do
        if [ -f $d/LICENSE* ]
        then
            mv $d/LICENSE* ./LICENSE-$d
        fi
        cp -pav $d %{buildroot}%{_datadir}/%{name}
done

%files 
%defattr(-,root,root,-)
%doc LICENSE-* README.md
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/*
%{_datadir}/%{name}/ansible/*
%{_datadir}/%{name}/ansible/.dockerignore
%{_datadir}/%{name}/busybox/*
%{_datadir}/%{name}/dhcpd/*
%{_datadir}/%{name}/firefox/*
%{_datadir}/%{name}/haskell/*
%{_datadir}/%{name}/lighttpd/*
%{_datadir}/%{name}/mesos/*
%{_datadir}/%{name}/owncloud/*
%{_datadir}/%{name}/qpid/*
%{_datadir}/%{name}/redis/*
%{_datadir}/%{name}/ssh/*
%{_datadir}/%{name}/apache/*
%{_datadir}/%{name}/couchdb/*
%{_datadir}/%{name}/Django/*
%{_datadir}/%{name}/libvirt/*
%{_datadir}/%{name}/mariadb/*
%{_datadir}/%{name}/mongodb/*
%{_datadir}/%{name}/nginx/*
%{_datadir}/%{name}/postgres/*
%{_datadir}/%{name}/rabbitmq/*
%{_datadir}/%{name}/registry/*
%{_datadir}/%{name}/systemd/*
%{_datadir}/%{name}/bind/*
%{_datadir}/%{name}/cups/*
%{_datadir}/%{name}/earthquake/*
%{_datadir}/%{name}/hadoop/*
%{_datadir}/%{name}/memcached/*
%{_datadir}/%{name}/mysql/*
%{_datadir}/%{name}/nodejs/*
%{_datadir}/%{name}/python/*
%{_datadir}/%{name}/squid/*
%{_datadir}/%{name}/wordpress/*

%changelog
* Fri Dec 12 2014 Aditya Patawari <adimania@fedoraproject.org> - 0-0.13.git
- more dockerfiles
- fixing the upstream to the official fedora-cloud account

* Wed Sep 10 2014 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0-0.12.git
- update to master commit: f6cd84c2454208c8e0ba8c207f5eaaca37933b70
- preserve timestamps while copying files over

* Sat Aug 16 2014 Aditya Patawari <adimania@fedoraproject.org> - 0-0.11.git
- we don't want debug package since it is noarch

* Sat Aug 16 2014 Aditya Patawari <adimania@fedoraproject.org> - 0-0.10.git
- fixing the source file with a version bump

* Sat Aug 16 2014 Aditya Patawari <adimania@fedoraproject.org> - 0-0.9.git
- more dockerfiles with bugfixes

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.8.git122ef5d
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Tue Jul 01 2014 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0-0.7.git
- archful as per docker-io

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.6.git122ef5d
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Apr 12 2014 Lokesh Mandvekar <lsm5@redhat.com> 0-0.5.git
- require docker-io

* Sat Apr 12 2014 Lokesh Mandvekar <lsm5@redhat.com> 0-0.4.git
- include bind, earthquake, hadoop, lighttpd, python, qpid, redis, registry

* Wed Feb 19 2014 Lokesh Mandvekar <lsm5@redhat.com> 0-0.3.git7753bdf
- own main package directory

* Tue Feb 11 2014 Lokesh Mandvekar <lsm5@redhat.com> 0-0.2.git7753bdf
- use a loop to install stuff
- include firefox and nodejs
- install separate license for each program

* Tue Jan 14 2014 Lokesh Mandvekar <lsm5@redhat.com> 0-0.1.git202887b
- Initial fedora package
